Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-desktop
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-desktop@g.o
From: Tiago Marques <tiagomnm@...>
Subject: Re: kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5
Date: Tue, 11 Oct 2011 23:33:02 +0100
<div class="gmail_quote">On Tue, Oct 11, 2011 at 9:28 PM, V. Ram <span dir="ltr">&lt;<a href="mailto:vramml0@...">vramml0@...</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

Hello all and particularly kde-sunset team members:<br>
<br>
I did a fresh installation of gentoo from scratch, AMD64, with all<br>
stable packages and no keywords.  I setup the kde-sunset overlay as per<br>
<a href="http://www.linuxized.com/2009/11/how-to-keep-your-kde-3-5-after-its-removed-gentoos-tree-using-the-kde-sunset-overlay/" target="_blank">http://www.linuxized.com/2009/11/how-to-keep-your-kde-3-5-after-its-removed-gentoos-tree-using-the-kde-sunset-overlay/</a><br>


.<br>
<br>
libpng is at 1.4.8-r1 (stable)<br>
<br>
During the emerge for kde-base/kdebase-startkde-3.5.10-r5 , the<br>
qt-meta-3.3.8b-r2 build failed with:<br>
<br>
kernel/qpngio.cpp:1153:48: error: png_process_data_pause was not<br>
declared in this scope<br>
make[1]: *** [.obj/release-shared-mt/qpngio.o] Error 1<br>
make[1]: *** Waiting for unfinished jobs....<br>
make[1]: Leaving directory<br>
`/tmp/portage/x11-libs/qt-meta-3.3.8b-r2/work/qt-x11-free-3.3.8b/src&#39;<br>
make: *** [sub-src] Error 2<br>
emake failed<br>
<br>
It looks like this may be due to the application of the libpng 1.5 patch<br>
from bug# 384953 without first checking to to see what version of libpng<br>
is installed.<br>
<br>
I&#39;m not sure what I ought to do at this point.  if I try to use libpng<br>
~amd64 , I get a block with gdk-pixbuf-2.24.0-r1 .  I&#39;ve also read that<br>
revdep-rebuild with the libpng update is still problematic and that some<br>
applications still do not work with with libpng 1.5 .<br>
<br>
Suggestions on the best path forward?<br>
<br>
Also, independently, it looks like there are no ebuilds for hal any more<br>
even though the kde-sunset packages look for the hal USE flag.  I was<br>
never a big fan of hal, but automounting of media under KDE 3.5 is still<br>
nice to have, and as I understand it, without hal, that will no longer<br>
occur.  Any recommendations on this issue as well?<br>
<br></blockquote><div><br></div><div>I have the old hal and polkit ebuilds, perhaps it would be in order to add them to the overlay? Someone is working on Trinity ebuilds but I have no idea how far along the work is. Also about hal, Trinity still hasn&#39;t moved to udev.</div>

<div><br></div><div>Best regards,</div><div>Tiago</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
Thank you.<br>
<font color="#888888"><br>
--<br>
<a href="http://www.fastmail.fm" target="_blank">http://www.fastmail.fm</a> - Same, same, but different...<br>
<br>
<br>
</font></blockquote></div><br>
References:
kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5
-- V. Ram
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5
Next by thread:
Re: kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5
Previous by date:
kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5
Next by date:
Re: kde-sunset: qt-meta-3.3.8b-r2 build failure with libpng < 1.5


Updated Jun 28, 2012

Summary: Archive of the gentoo-desktop mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.